Docs
Api reference

Agent

POST
/api/recording/associate

Header Parameters

x-agent-secret*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/recording/associate" \  -H "x-agent-secret: string" \  -H "Content-Type: application/json" \  -d '{    "callSid": "string",    "callId": "string"  }'
{  "success": true}
POST
/api/gather-context

Header Parameters

x-agent-secret?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/gather-context" \  -H "Content-Type: application/json" \  -d '{    "call_id": "string",    "workflow_id": "string",    "workflow_run_id": "string"  }'
{  "success": true,  "message": "string",  "customerId": 0,  "callRecordingId": 0}
GET
/api/agent-config

Header Parameters

x-agent-secret*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/agent-config" \  -H "x-agent-secret: string"
{  "systemPrompt": "string",  "voice": "string",  "temperature": 0,  "backgroundVolume": 0,  "backgroundEnabled": true,  "backgroundClip": "string",  "firstSpeakerText": "string",  "ultravoxAgentId": "string",  "tools": [    {      "id": "string",      "agentConfigId": "string",      "name": "string",      "description": "string",      "config": null,      "isActive": true,      "version": 0,      "createdAt": "string",      "updatedAt": "string"    }  ]}
PATCH
/api/agent-config

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/agent-config" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
POST
/api/template-context

Header Parameters

x-agent-secret*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/template-context" \  -H "x-agent-secret: string" \  -H "Content-Type: application/json" \  -d '{    "event": "string",    "call_inbound": {      "agent_id": "string",      "from_number": "string",      "to_number": "string"    }  }'
Empty